Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.ax25
Enum SignableMessage.SignatureState

    java.lang.Object
      java.lang.Enum<SignableMessage.SignatureState>
          org.ka2ddo.ax25.SignableMessage.SignatureState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SignableMessage.SignatureState>

Enclosing interface:
  SignableMessage

    public static enum SignableMessage.SignatureState

extends java.lang.Enum<SignableMessage.SignatureState>

State of signature validation.

Enum Constant Summary
`INVALID_SIGNATURE` Signature is invalid or unrecognized.
`NEEDS_SIGNATURE` Needs signature to be computed at transmission time.
`NOT_CHECKED` Signature has not been checked yet.
`UNSIGNED` Message does not have a signature (even though the message type allows it).
`VALID_SIGNATURE` Signature is valid.

Method Summary
`static SignableMessage.SignatureState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SignableMessage.SignatureState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_CHECKED

    public static final SignableMessage.SignatureState NOT_CHECKED

  Signature has not been checked yet.

### UNSIGNED

    public static final SignableMessage.SignatureState UNSIGNED

  Message does not have a signature (even though the message type allows it).

### VALID_SIGNATURE

    public static final SignableMessage.SignatureState VALID_SIGNATURE

  Signature is valid.

### INVALID_SIGNATURE

    public static final SignableMessage.SignatureState INVALID_SIGNATURE

  Signature is invalid or unrecognized.

### NEEDS_SIGNATURE

    public static final SignableMessage.SignatureState NEEDS_SIGNATURE

  Needs signature to be computed at transmission time.

Method Detail

### values

    public static SignableMessage.SignatureState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SignableMessage.SignatureState c : SignableMessage.SignatureState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SignableMessage.SignatureState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD